#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2024-04-21
# File  : share/check_mk/agents/unbound.py
#
# bakery unbound plugin
#


from pathlib import Path

from cmk.base.cee.plugins.bakery.bakery_api.v1 import (
    FileGenerator,
    OS,
    Plugin,
    register
)


def get_unbound_files(conf) -> FileGenerator:
    if conf is True:
        yield Plugin(
            base_os=OS.LINUX,
            source=Path('unbound'),
        )


register.bakery_plugin(
    name='unbound',
    files_function=get_unbound_files,
)
